package generated.geldkarteAsymm.javacard.geldkarte;

import javacard.framework.Util;
import javacardx.crypto.Cipher;

public abstract class EncData implements Codeable, PlainData, SignData {

	public byte[] encrypted;

	public short plainlength;
	public short enclength;

	public byte plainDataType;
	protected static byte[] tmparray;

	protected Cipher c;

	public boolean isEncDataSymm() {
		return false;
	}

	public boolean isEncDataAsymm() {
		return false;
	}

	public void copy(EncData o) {
		enclength = o.enclength;
		plainlength = o.plainlength;
		plainDataType = o.plainDataType;

		Arrays.copy(o.encrypted, encrypted);
	}

	public boolean equals(EncData o) {
		if (enclength != o.enclength || plainlength != o.plainlength
				|| plainDataType != o.plainDataType)
			return false;

		return Arrays.equals(encrypted, o.encrypted);

	}
}
