package generated.geldkarteAsymm.javacard.geldkarte;

/**
 * Generated Class
 * 
 */

public class PayData implements Codeable, SignData, PlainData {

	public short amount;

	public Nonce challenge;

	public PayData() {

		amount = 0;
		challenge = new Nonce();

	}

	public PayData(short amount, Nonce challenge) {

		this.amount = amount;
		this.challenge = challenge;

	}

	public byte getCode() {
		return Code.PAYDATA;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(PayData other) {
		if (this.amount != other.amount)
			return false;
		if (!this.challenge.equals(other.challenge))
			return false;
		return true;
	}

	public void copy(PayData from) {
		this.amount = from.amount;
		this.challenge.copy(from.challenge);
	}

}
