package generated.geldkarteAsymm.terminal.merchant;

import javax.crypto.Cipher;
import javax.xml.bind.annotation.*;
@XmlAccessorType(XmlAccessType.FIELD)
public abstract class EncData implements Codeable, PlainData, SignData {

	protected byte[] encrypted;

	protected int plainlength;
	protected int enclength;

	protected byte plainDataType;
	protected static byte[] tmparray;

	@XmlTransient
	protected Cipher c;

	public boolean isEncDataSymm() {
		return false;
	}

	public boolean isEncDataAsymm() {
		return false;
	}

	public byte[] getEncrypted() {
		return encrypted;
	}

	public void setEncrypted(byte[] src) {
		encrypted = src.clone();
	}

	public void copy(EncData o) {
		enclength = o.enclength;
		plainlength = o.plainlength;
		plainDataType = o.plainDataType;
		o.setEncrypted(encrypted);
	}

	public boolean equals(EncData o) {
		if (enclength != o.enclength || plainlength != o.plainlength
				|| plainDataType != o.plainDataType)
			return false;

		return Arrays.equals(encrypted, o.getEncrypted());
	}
}
