package generated.geldkarteAsymm.terminal.merchant;

import javax.xml.bind.annotation.XmlRootElement;
@XmlRootElement
/**
 * Generated Class
 * 
 */
public class SendKey extends Message {

	private Certificate cert;

	private SignedData sig;

	public SendKey(Certificate cert, SignedData sig) {

		this.cert = cert;
		this.sig = sig;

	}

	public SendKey() {

		cert = new Certificate();
		sig = new SignedData();

	}

	public Certificate getCert() {
		return cert;
	}

	public SignedData getSig() {
		return sig;
	}

	public void setCert(Certificate cert) {
		this.cert = cert;
	}
	public void setSig(SignedData sig) {
		this.sig = sig;
	}

	public byte getCode() {
		return Code.SENDKEY;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(SendKey other) {
		if (!this.cert.equals(other.cert))
			return false;
		if (!this.sig.equals(other.sig))
			return false;
		return true;
	}

	public void copy(SendKey from) {
		this.cert.copy(from.cert);
		this.sig.copy(from.sig);
	}

	public SendKey copy() {
		SendKey object = new SendKey();
		object.copy(this);
		return object;
	}

}
