package generated.geldkarteAsymm.javacard.geldkarte;

import javacard.framework.*;

/**
 * Generated Class
 * 
 */

public class Certificate implements Codeable, SignData {

	public byte[] name;

	public PublicKey key;

	public Certificate() {

		name = new byte[Store.LENGTHOFSTRING];
		key = new PublicKey();

	}

	public Certificate(byte[] name, PublicKey key) {

		this.name = name;
		this.key = key;

	}

	public byte getCode() {
		return Code.CERTIFICATE;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(Certificate other) {
		if (!Arrays.equals(name, other.name))
			return false;
		if (!this.key.equals(other.key))
			return false;
		return true;
	}

	public void copy(Certificate from) {

		Arrays.copy(from.name, this.name);

		this.key.copy(from.key);
	}

}
