package generated.geldkarteAsymm.javacard.geldkarte;

public class Store {

	public final static short LENGTHOFSTRING = 20;
	public final static short LENGTHOFSECRET = 8;
	public final static short LENGTHOFNONCE = 8;
	public final static short MAXENCRYPTLENGTHASYMM = 128;
	public final static short MAXSIGNEDLENGTH = 128;
	public final static short MaxEncodingLengthSignData = 156;
	public final static short NonceMaxCountForGeldkarte = 0;
	public final static short SendKeyMaxCountForGeldkarte = 1;
	public final static short PaySigMaxCountForGeldkarte = 1;
	public final static short GetKeyMaxCountForGeldkarte = 1;
	public final static short PayDataMaxCountForGeldkarte = 1;
	public final static short SignedDataMaxCountForGeldkarte = 1;
	public final static short EncDataAsymmMaxCountForGeldkarte = 0;
	public final static short PayMaxCountForGeldkarte = 1;

	// ************************************************
	private static Nonce[] NonceArray;
	private static byte NonceCount = 0;
	private static void initNonce() {
		NonceArray = new Nonce[NonceMaxCountForGeldkarte];
		for (short i = 0; i < NonceArray.length; i++)
			NonceArray[i] = new Nonce();
	}
	public static Nonce newNonce() {
		return NonceArray[NonceCount++];
	}

	// ************************************************
	private static SendKey[] SendKeyArray;
	private static byte SendKeyCount = 0;
	private static void initSendKey() {
		SendKeyArray = new SendKey[SendKeyMaxCountForGeldkarte];
		for (short i = 0; i < SendKeyArray.length; i++)
			SendKeyArray[i] = new SendKey();
	}
	public static SendKey newSendKey() {
		return SendKeyArray[SendKeyCount++];
	}

	// ************************************************
	private static PaySig[] PaySigArray;
	private static byte PaySigCount = 0;
	private static void initPaySig() {
		PaySigArray = new PaySig[PaySigMaxCountForGeldkarte];
		for (short i = 0; i < PaySigArray.length; i++)
			PaySigArray[i] = new PaySig();
	}
	public static PaySig newPaySig() {
		return PaySigArray[PaySigCount++];
	}

	// ************************************************
	private static GetKey[] GetKeyArray;
	private static byte GetKeyCount = 0;
	private static void initGetKey() {
		GetKeyArray = new GetKey[GetKeyMaxCountForGeldkarte];
		for (short i = 0; i < GetKeyArray.length; i++)
			GetKeyArray[i] = new GetKey();
	}
	public static GetKey newGetKey() {
		return GetKeyArray[GetKeyCount++];
	}

	// ************************************************
	private static PayData[] PayDataArray;
	private static byte PayDataCount = 0;
	private static void initPayData() {
		PayDataArray = new PayData[PayDataMaxCountForGeldkarte];
		for (short i = 0; i < PayDataArray.length; i++)
			PayDataArray[i] = new PayData();
	}
	public static PayData newPayData() {
		return PayDataArray[PayDataCount++];
	}

	// ************************************************
	private static SignedData[] SignedDataArray;
	private static byte SignedDataCount = 0;
	private static void initSignedData() {
		SignedDataArray = new SignedData[SignedDataMaxCountForGeldkarte];
		for (short i = 0; i < SignedDataArray.length; i++)
			SignedDataArray[i] = new SignedData();
	}
	public static SignedData newSignedData() {
		return SignedDataArray[SignedDataCount++];
	}

	// ************************************************
	private static EncDataAsymm[] EncDataAsymmArray;
	private static byte EncDataAsymmCount = 0;
	private static void initEncDataAsymm() {
		EncDataAsymmArray = new EncDataAsymm[EncDataAsymmMaxCountForGeldkarte];
		for (short i = 0; i < EncDataAsymmArray.length; i++)
			EncDataAsymmArray[i] = new EncDataAsymm();
	}
	public static EncDataAsymm newEncDataAsymm() {
		return EncDataAsymmArray[EncDataAsymmCount++];
	}

	// ************************************************
	private static Pay[] PayArray;
	private static byte PayCount = 0;
	private static void initPay() {
		PayArray = new Pay[PayMaxCountForGeldkarte];
		for (short i = 0; i < PayArray.length; i++)
			PayArray[i] = new Pay();
	}
	public static Pay newPay() {
		return PayArray[PayCount++];
	}

	// ************************************************
	public static Nonce newNonce(byte[] nonce) {
		Nonce _Nonce = newNonce();
		//The type of nonce is an array of primitive Types.
		Arrays.copy(nonce, _Nonce.nonce);
		return _Nonce;
	}

	// ************************************************
	public static SendKey newSendKey(Certificate cert, SignedData sig) {
		SendKey _SendKey = newSendKey();
		//Attributes with complex types: Use copy-method of these types.
		_SendKey.cert.copy(cert);
		//Attributes with complex types: Use copy-method of these types.
		_SendKey.sig.copy(sig);
		return _SendKey;
	}

	// ************************************************
	public static PaySig newPaySig(SignedData sig) {
		PaySig _PaySig = newPaySig();
		//Attributes with complex types: Use copy-method of these types.
		_PaySig.sig.copy(sig);
		return _PaySig;
	}

	// ************************************************
	public static PayData newPayData(short amount, Nonce challenge) {
		PayData _PayData = newPayData();
		//The type of amount is primitive: do a simple assignment
		_PayData.amount = amount;
		//Attributes with complex types: Use copy-method of these types.
		_PayData.challenge.copy(challenge);
		return _PayData;
	}

	// ************************************************
	public static SignedData newSignedData(byte[] signed) {
		SignedData _SignedData = newSignedData();
		//The type of signed is an array of primitive Types.
		Arrays.copy(signed, _SignedData.signed);
		return _SignedData;
	}

	// ************************************************
	public static Pay newPay(EncDataAsymm data) {
		Pay _Pay = newPay();
		//Attributes with complex types: Use copy-method of these types.
		_Pay.data.copy(data);
		return _Pay;
	}

	// initialize all: fill arrays
	public static void initAll() {

		initNonce();

		initSendKey();

		initPaySig();

		initGetKey();

		initPayData();

		initSignedData();

		initEncDataAsymm();

		initPay();
	}

	public static void reset() {

		NonceCount = 0;

		SendKeyCount = 0;

		PaySigCount = 0;

		GetKeyCount = 0;

		PayDataCount = 0;

		SignedDataCount = 0;

		EncDataAsymmCount = 0;

		PayCount = 0;
	}
}
