package generated.geldkarteAsymm.terminal.merchant;

/**
 * Generated Class
 * 
 */

public class Certificate implements Codeable, SignData {

	private String name;

	private PublicKey key;

	public Certificate() {

		name = new String();
		key = new PublicKey();

	}

	public Certificate(String name, PublicKey key) {

		this.name = name;
		this.key = key;

	}

	public Certificate(byte[] name, PublicKey key) {
		this.name = Coding.getInstance().byteToString(name);
		this.key = key;

	}

	public String getName() {
		return name;
	}

	public PublicKey getKey() {
		return key;
	}

	public void setName(String name) {

		if (!Coding.getInstance().isValidCardString(name))
			System.err.println("Encoded string " + name + " is longer than "
					+ LengthConstants.LENGTHOFSTRING + " bytes.");
		this.name = name;
	}
	public void setName(byte[] name) {
		setName(Coding.getInstance().byteToString(name));
	}

	public void setKey(PublicKey key) {
		this.key = key;
	}

	public byte getCode() {
		return Code.CERTIFICATE;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(Certificate other) {
		if (!this.name.equals(other.name))
			return false;
		if (!this.key.equals(other.key))
			return false;
		return true;
	}

	public void copy(Certificate from) {
		this.name = from.name;
		this.key.copy(from.key);
	}

	public Certificate copy() {
		Certificate object = new Certificate();
		object.copy(this);
		return object;
	}

}
