package generated.geldkarteAsymm.terminal.merchant;

/**
 * Generated Class
 * 
 */

public class PayData implements Codeable, SignData, PlainData {

	private int amount;

	private Nonce challenge;

	public PayData() {

		amount = 0;
		challenge = new Nonce();

	}

	public PayData(int amount, Nonce challenge) {

		this.amount = amount;
		this.challenge = challenge;

	}

	public int getAmount() {
		return amount;
	}

	public Nonce getChallenge() {
		return challenge;
	}

	public void setAmount(int amount) {
		this.amount = amount;
	}

	public void setChallenge(Nonce challenge) {
		this.challenge = challenge;
	}

	public byte getCode() {
		return Code.PAYDATA;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(PayData other) {
		if (this.amount != other.amount)
			return false;
		if (!this.challenge.equals(other.challenge))
			return false;
		return true;
	}

	public void copy(PayData from) {
		this.amount = from.amount;
		this.challenge.copy(from.challenge);
	}

	public PayData copy() {
		PayData object = new PayData();
		object.copy(this);
		return object;
	}

}
